{% extends 'base.html' %}

{% block title %}
    Welcome to Event Gallery
{% endblock %}

{% block content %}
<div>
    <a class="btn btn-primary" href="{{url_for('event.add_event')}}">Add Event</a>
    <form method="POST" novalidate id="eventInvolvementForm">
        {% include 'includes/form_generic.html' %}
    </form>
</div>
{% if data %}
<div class="row">
    {% for item in data %}
    <div class="col col-sm-12 col-md-6 col-lg-4 mb-4">
        <div class="card">
            {% if item.preview %}
            <img class="card-img-top" src="{{url_for('event.get_event_image', id=item.id)}}"/>
            {% endif %}
            <div class="card-body">
                <h5 class="card-title">{{item.shortname}}</h5>
                <p class="card-text">{{item.start.date()}}</p>
                <p class="card-text">{{item.location}}</p>
                <div class="row justify-content-around">
                    {% if current_user.is_authenticated %}
                        {% if today and item.start.date() < today %}
                            <p class="card-text">Already past</p>
                        {% elif current_user.id == item.account_id %}
                            <a class="btn btn-success" href="javascript:void()" mode="1" event="{{item.id}}" onclick="submitInvolvement()">Cancel</a>
                        {% else %}
                            <a class="btn btn-success" href="javascript:void()" mode="0" event="{{item.id}}" onclick="submitInvolvement()">Join</a>
                        {% endif %}
                    {% endif %}
                    <a class="btn btn-primary" href="{{url_for('event.get_event', id=item.id)}}">Detail</a>
                </div>
            </div>
        </div>
    </div>
    {% endfor %}
</div>
{% endif %}
{% endblock content %}